<!DOCTYPE html>
<html>
	<head>
		<!--Este es el codigo en HTML -->
		<title>Ejercici&oacute;: Mi primera pagina web
		</title>
	</head>
	<body>
		<h1> M08 Aplicaciones web 
		</h1> 
		
		<h2>¿Qu&eacute; es un editor de HTML?
		</h2>
		
		<br>
		<p style="color:blue; font-size:20px;">En retrospectiva, un editor de HTML se utiliza para escribir la base de un sitio web. Y si bien cualquier editor de texto puede hacer
		este trabajo, no significa que tengas que hacerlo sin ning&uacute;n tipo de ayuda. Las funciones adicionales, la comprobaci&oacute;n de errores y un editor m&aacute;s intuitivo en general, son
		cosas que pueden facilitarte la vida significativamente. Los fundamentos de los editores de HTML son los mismos: te ayudan a escribir c&oacute;digo resaltando las sintaxis, insertando 
		elementos y estructuras HTML de uso com&uacute;n, y ofreciendo autocompletado.<br><br>
		
		El texto que utiliza un editor HTML tambi&eacute;n se puede traducir a otros lenguajes, como CSS, XML o JavaScript. Pero como sabemos, no todas las cosas estn hechas de la misma manera. 
		Algunos editores pueden ser m&aacute;s f&aacute;ciles de usar, mientras que otros brindan mayor funcionalidad que otros.
		</p>
		<br>
		<br>
		
		<h2>¿Cu&aacute;ndo deber&iacute;as usar un editor HTML?
		</h2>
		<br>
		<p style="color:blue; font-size:20px;">
		La respuesta corta es, ¡siempre! Un editor de HTML es invaluable tanto para principiantes como para desarrolladores m&aacute;s avanzados. Ya mencionamos las caracter&iacute;sticas 
		b&aacute;sicas de los editores de HTML, como el resaltado de sintaxis, la inserci&oacute;n de elementos HTML comunes y el autocompletado. Todo esto asegura que tu c&oacute;digo sea funcional y limpio con el 
		menor esfuerzo, permitiendo que sea mucho m&aacute;s f&aacute;cil hacer lo que mejor sabes hacer: crear c&oacute;digo.
		</p>
		
		<br>
		
		<p style="color:blue; font-size:20px">Por ejemplo, el editor te notificará si olvidas colocar la etiqueta final </ en un elemento de código. Por lo tanto, no deberías imponerte 
		limitaciones al no utilizar ningún tipo de editor HTML.<br>
		Existen dos tipos de editores: WYSIWYG y editores HTML textuales. Empecemos hablando del primer tipo.
		</p>
	</body>
</html>
